Details

    • Type: Technical task
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Duplicate
    • Fix Version/s: 5.9.7
    • Component/s: QPA: X11/XCB
    • Labels:
      None
    • Platform/s:
      Linux/X11

      Description

      5.9.7 is presumably in very strict mode by now, so only security issues or critical problems in the third party component warrant an update. Please review whether the following actually need updates; and update those that need it. (Presumably on 5.11, to cherry-pick back to 5.9.7, where possible.)

      src/3rdparty/xcb/qt_attribution.json

      • Upstream has had an update this year.

      src/3rdparty/xkbcommon/qt_attribution.json

      • 0.8.2 released this August; fixes some out-of-bounds access, so potentially security issues

      src/3rdparty/pixman/qt_attribution.json

      • Upstream is active.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              paeglis Gatis Paeglis
              Reporter:
              Eddy Edward Welbourne
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes